Bacchus/Controllers/BidsController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using System.ComponentModel.DataAnnotations;
using Bacchus.Models;
using static Bacchus.Models.Bid;


namespace Bacchus.Controllers
{
    public class BidsController : Controller
    {
        private BacchusData db = new BacchusData();

        // GET: Bids
        [Authorize]
        public ActionResult Index()
        {
            var user = db.Users.Where(x => x.UserName == User.Identity.Name).SingleOrDefault();
            if (User.IsInRole("Admin"))
            {
                return View(db.Bids.ToList());
            }
            else
            {
                return View(db.Bids.ToList().Where(x => x.UserId == user.Id));
            }

        }

        [Authorize]
        // GET: Bids/Create
        public ActionResult Create(string ProductID, string UserId)
        {
            var user = db.Users.Where(x => x.UserName == User.Identity.Name).SingleOrDefault();
            
            return View(new Bid
            {
                BidDate = DateTime.Now,
                UserId = user.Id
            });
        }
        [Authorize]
        // POST: Bids/Create
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "Id,UserId,BidAmount,BidDate,ProductId")] Bid bid)
        {
            if (ModelState.IsValid)
            {
                db.Bids.Add(bid);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

           

            return View(bid);
        }

        


    }
}

Bacchus/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Net.Http;
using System.Net.Http.Headers;
using Newtonsoft.Json;
using Bacchus.Models;

namespace Bacchus.Controllers
{

    public class HomeController : Controller

    {
        private BacchusData db = new BacchusData();

        public ActionResult Index()
        {
            AuctionObject[] items = GetItems();
            return View(items.ToList());

            
        }

        public ActionResult SortedIndex(string id)
        {

            AuctionObjectModel model = new AuctionObjectModel();
            if (id == null)
            {
                AuctionObject[] items = GetItems();
                model.AuctionObjects = items.ToList();
            }
            else
            {
                AuctionObject[] items = GetItems();
                var categoryItems = items.Where(x => x.productCategory == id);
                model.AuctionObjects = categoryItems.ToList();
                model.ProductCategory = id;
            }
            return View(model);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";
            
            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

        private const string URL = "http://uptime-auction-api.azurewebsites.net/api/Auction";
        private string urlParameters = "";

        public AuctionObject[] GetItems()
        {

            System.Diagnostics.Debug.WriteLine("algus");
            HttpClient client = new HttpClient();
            client.BaseAddress = new Uri(URL);

            // Add an Accept header for JSON format.
            client.DefaultRequestHeaders.Accept.Add(
            new MediaTypeWithQualityHeaderValue("application/json"));

            // List data response.
            HttpResponseMessage response = client.GetAsync(urlParameters).Result;  // Blocking call! Program will wait here until a response is received or a timeout occurs.
            if (response.IsSuccessStatusCode)
            {

                string responseBody = response.Content.ReadAsStringAsync().Result;
                System.Diagnostics.Debug.WriteLine(responseBody);


                AuctionObject[] objects = JsonConvert.DeserializeObject<AuctionObject[]>(responseBody);
                System.Diagnostics.Debug.WriteLine("serialize");
                System.Diagnostics.Debug.WriteLine(objects.Length);
                System.Diagnostics.Debug.WriteLine(objects[0].biddingEndDate);
                return objects;

            }
            else
            {
                Console.WriteLine("{0} ({1})", (int)response.StatusCode, response.ReasonPhrase);
            }

            //Make any other calls using HttpClient here.

            //Dispose once all HttpClient calls are complete. This is not necessary if the containing object will be disposed of; for example in this case the HttpClient instance will be disposed automatically when the application terminates so the following call is superfluous.
            client.Dispose();
            return null;
        }


    }
}

Bacchus/Views/Home/About.cshtml
@{
    ViewBag.Title = "About";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<p>Use this area to provide additional information.</p>

Bacchus/Views/Home/Contact.cshtml
@{
    ViewBag.Title = "Contact";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<address>
    One Microsoft Way<br />
    Redmond, WA 98052-6399<br />
    <abbr title="Phone">P:</abbr>
    425.555.0100
</address>

<address>
    <strong>Support:</strong>   <a href="mailto:Support@example.com">Support@example.com</a><br />
    <strong>Marketing:</strong> <a href="mailto:Marketing@example.com">Marketing@example.com</a>
</address>

Bacchus/Views/Home/Index.cshtml
@model IEnumerable<Bacchus.Models.AuctionObject>

@{
    ViewBag.Title = "Home Page";
}

<h2>All offers</h2>

<!DOCTYPE html>
<html>
<head>
    <style>
        table {
            font-family: arial, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

        td, th {
            border: 1px solid #dddddd;
            text-align: center;
            padding: 8px;
        }

        /*tr:nth-child(even) {
            background-color: #dddddd;
        }*/
    </style>
</head>


<table class="table">
    <tr>
       
        @*<th>
            @Html.DisplayNameFor(model => model.productId)
        </th>*@
        <th>
            @*@Html.DisplayNameFor(model => model.productName)*@
            Item
        </th>
        <th>
            @*@Html.DisplayNameFor(model => model.productDescription)*@
            Description
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.productCategory)
            </th>*@
        <th>
            @*@Html.DisplayNameFor(model => model.biddingEndDate)*@
            Bidding end date
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>

            @*<td>
                    @Html.DisplayFor(modelItem => item.productId)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.productName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.productDescription)
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.productCategory)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.BiddingEndDateLocal)
            </td>
            <td>
                @Html.ActionLink("Make a bid", "Create", "Bids", new { ProductId = item.productId}, new{ @class = "btn btn-sm btn-info" })
            </td>
        </tr>
    }

</table>

Bacchus/Views/Home/SortedIndex.cshtml
@model Bacchus.Models.AuctionObjectModel
@{
    ViewBag.Title = "SortedIndex";
}

<h2>@Html.DisplayFor(model => model.ProductCategory)</h2>



@Html.ActionLink("See all offers", "Index", new { @class = "btn btn-sm btn-info" })




<!DOCTYPE html>
<html>
<head>
    <style>
        table {
            font-family: arial, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

        td, th {
            border: 1px solid #dddddd;
            text-align: center;
            padding: 8px;
        }

        /*tr:nth-child(even) {
                    background-color: #dddddd;
                }*/
    </style>
</head>


<table class="table">
    <tr>

        <th>
            Product
        </th>
        <th>
            Description
        </th>
        <th>
            Bidding end date
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model.AuctionObjects)
    {
        <tr>

            <td>
                @Html.DisplayFor(modelItem => item.productName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.productDescription)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.BiddingEndDateLocal)
            </td>
            <td>
                @Html.ActionLink("Make a bid", "Create", "Bids", new { ProductId = item.productId  }, new { @class = "btn btn-sm btn-info" })
            </td>
        </tr>
    }

</table>